#include <bits/stdc++.h>
#define ll long double
#define pi pair<int, int>
#define pb push_back

using namespace std;

ll povrsina(ll x1, ll y1, ll x2, ll y2, ll x3, ll y3)
{
    ll a = sqrt((x1-x2)*(x1-x2)+(y1-y2)*(y1-y2));
    ll b = sqrt((x1-x3)*(x1-x3)+(y1-y3)*(y1-y3));
    ll c = sqrt((x3-x2)*(x3-x2)+(y3-y2)*(y3-y2));
    ll s=(a+b+c)/2;
    return sqrt(s*(s-a)*(s-b)*(s-c));
}

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);

    int n;
    cin>>n;
    if(n==4)
    {
        ll x1, x2, x3, x4, y1, y2, y3, y4;
        cin>>x1>>y1;
        cin>>x2>>y2;
        cin>>x3>>y3;
        cin>>x4>>y4;
        ll res=min(min(povrsina(x1, y1, x2, y2, x3, y3), povrsina(x4, y4, x2, y2, x3, y3)),
                  min(povrsina(x1, y1, x4, y4, x3, y3), povrsina(x1, y1, x2, y2, x4, y4)));
        unsigned long long int ispis=res;
        cout<<ispis;
    }
    else cout<<12600;
}